com.icesoft.faces.component.ext

## Class UIColumns

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - javax.faces.component.html.HtmlDataTable
        - - org.icefaces.impl.component.UISeriesBase
          - - com.icesoft.faces.component.panelseries.UISeries
            - - com.icesoft.faces.component.ext.UIColumns

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class UIColumns
      extends UISeries

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.impl.component.UISeriesBase

      `org.icefaces.impl.component.UISeriesBase.RowEvent`

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlDataTable

      `javax.faces.component.html.HtmlDataTable.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class com.icesoft.faces.component.panelseries.UISeries

      `RENDERER_TYPE`

    - ### Fields inherited from class org.icefaces.impl.component.UISeriesBase

      `dataModel, savedChildren, savedSeriesState`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIColumns()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()`
    `boolean` | `isHeaderFacet()`
    `boolean` | `isRendered()`
    `protected void` | `iterate(javax.faces.context.FacesContext facesContext, javax.faces.event.PhaseId phase)`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processKids(javax.faces.context.FacesContext context, javax.faces.event.PhaseId phaseId, javax.faces.component.UIComponent kid)`
    `protected void` | `restoreChildrenState(javax.faces.context.FacesContext facesContext)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `protected void` | `saveChildrenState(javax.faces.context.FacesContext facesContext)` Save state information for all descendant components, as described for `setRowIndex()`.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setRendered(boolean rendered)`

    - ### Methods inherited from class com.icesoft.faces.component.panelseries.UISeries

      `getValue, synchWithPaginator, wrapDataModel`

    - ### Methods inherited from class org.icefaces.impl.component.UISeriesBase

      `broadcast, encodeBegin, ensureFirstRowInRange, getClientId, getContainerClientId, getDataModel, getRowCount, getRowData, getRowIndex, getSavedChildren, getSavedSeriesState, getVar, getVarStatus, isRowAvailable, processUpdates, processValidators, queueEvent, restoreChild, restoreChildState, restoreSeriesState, saveChild, saveChildState, saveSeriesState, setDataModel, setId, setRowIndex, setValue, setValueBinding, setVar, setVarStatus, visitTree`

    - ### Methods inherited from class javax.faces.component.html.HtmlDataTable

      `getBgcolor, getBodyrows, getBorder, getCaptionClass, getCaptionStyle, getCellpadding, getCellspacing, getColumnClasses, getDefaultEventName, getDir, getEventNames, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getStyleClass, getSummary, getTitle, getWidth, setBgcolor, setBodyrows, setBorder, setCaptionClass, setCaptionStyle, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, getFirst, getFooter, getHeader, getRows, invokeOnComponent, isRowStatePreserved, markInitialState, setFirst, setFooter, setHeader, setRows, setRowStatePreserved, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIColumns

          public UIColumns()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### isRendered

          public boolean isRendered()

      Overrides:
        `isRendered` in class `UISeries`

    - #### setRendered

          public void setRendered(boolean rendered)

      Overrides:
        `setRendered` in class `javax.faces.component.UIComponentBase`

    - #### iterate

          protected void iterate(javax.faces.context.FacesContext facesContext,
                                 javax.faces.event.PhaseId phase)

      Overrides:
        `iterate` in class `org.icefaces.impl.component.UISeriesBase`

    - #### processKids

          public void processKids(javax.faces.context.FacesContext context,
                                  javax.faces.event.PhaseId phaseId,
                                  javax.faces.component.UIComponent kid)

    - #### restoreChildrenState

          protected void restoreChildrenState(javax.faces.context.FacesContext facesContext)

      Overrides:
        `restoreChildrenState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveChildrenState

          protected void saveChildrenState(javax.faces.context.FacesContext facesContext)

      Save state information for all descendant components, as described for `setRowIndex()`.

      Overrides:
        `saveChildrenState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### isHeaderFacet

          public boolean isHeaderFacet()

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `org.icefaces.impl.component.UISeriesBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.